

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/alpha/mm/init.c     |    2 +-
 25-akpm/arch/alpha/mm/numa.c     |    2 +-
 25-akpm/arch/arm/mm/init.c       |    2 +-
 25-akpm/arch/arm26/mm/init.c     |    2 +-
 25-akpm/arch/cris/mm/init.c      |    2 +-
 25-akpm/arch/i386/mm/pgtable.c   |    2 +-
 25-akpm/arch/ia64/mm/contig.c    |    2 +-
 25-akpm/arch/ia64/mm/discontig.c |    2 +-
 25-akpm/arch/m68k/atari/stram.c  |    4 ++--
 25-akpm/arch/m68k/mm/init.c      |    2 +-
 25-akpm/arch/mips/mm/pgtable.c   |    2 +-
 25-akpm/arch/parisc/mm/init.c    |    3 ++-
 25-akpm/arch/ppc/mm/init.c       |    2 +-
 25-akpm/arch/s390/mm/init.c      |    2 +-
 25-akpm/arch/sh/mm/init.c        |    2 +-
 25-akpm/arch/sparc/mm/init.c     |    2 +-
 25-akpm/arch/sparc64/mm/init.c   |    2 +-
 25-akpm/arch/um/kernel/mem.c     |    2 +-
 25-akpm/arch/x86_64/mm/init.c    |    2 +-
 19 files changed, 21 insertions(+), 20 deletions(-)

diff -puN arch/alpha/mm/init.c~nr_swap_pages-is-long-fixes arch/alpha/mm/init.c
--- 25/arch/alpha/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/alpha/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -106,7 +106,7 @@ show_mem(void)
 
 	printk("\nMem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 	i = max_mapnr;
 	while (i-- > 0) {
 		total++;
diff -puN arch/alpha/mm/numa.c~nr_swap_pages-is-long-fixes arch/alpha/mm/numa.c
--- 25/arch/alpha/mm/numa.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/alpha/mm/numa.c	Mon Jun 21 16:30:43 2004
@@ -371,7 +371,7 @@ show_mem(void)
 
 	printk("\nMem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 	for (nid = 0; nid < numnodes; nid++) {
 		struct page * lmem_map = node_mem_map(nid);
 		i = node_spanned_pages(nid);
diff -puN arch/arm26/mm/init.c~nr_swap_pages-is-long-fixes arch/arm26/mm/init.c
--- 25/arch/arm26/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/arm26/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -67,7 +67,7 @@ void show_mem(void)
 
 	printk("Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 
 
 	page = NODE_MEM_MAP(0);
diff -puN arch/arm/mm/init.c~nr_swap_pages-is-long-fixes arch/arm/mm/init.c
--- 25/arch/arm/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/arm/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -58,7 +58,7 @@ void show_mem(void)
 
 	printk("Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 
 	for (node = 0; node < numnodes; node++) {
 		struct page *page, *end;
diff -puN arch/cris/mm/init.c~nr_swap_pages-is-long-fixes arch/cris/mm/init.c
--- 25/arch/cris/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/cris/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -138,7 +138,7 @@ show_mem(void)
 
 	printk("\nMem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 	i = max_mapnr;
 	while (i-- > 0) {
 		total++;
diff -puN arch/i386/mm/pgtable.c~nr_swap_pages-is-long-fixes arch/i386/mm/pgtable.c
--- 25/arch/i386/mm/pgtable.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/i386/mm/pgtable.c	Mon Jun 21 16:30:43 2004
@@ -33,7 +33,7 @@ void show_mem(void)
 
 	printk("Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 	for_each_pgdat(pgdat) {
 		for (i = 0; i < pgdat->node_spanned_pages; ++i) {
 			page = pgdat->node_mem_map + i;
diff -puN arch/ia64/mm/contig.c~nr_swap_pages-is-long-fixes arch/ia64/mm/contig.c
--- 25/arch/ia64/mm/contig.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/ia64/mm/contig.c	Mon Jun 21 16:30:43 2004
@@ -43,7 +43,7 @@ show_mem (void)
 	printk("Mem-info:\n");
 	show_free_areas();
 
-	printk("Free swap:       %6dkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 	i = max_mapnr;
 	while (i-- > 0) {
 		if (!pfn_valid(i))
diff -puN arch/ia64/mm/discontig.c~nr_swap_pages-is-long-fixes arch/ia64/mm/discontig.c
--- 25/arch/ia64/mm/discontig.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/ia64/mm/discontig.c	Mon Jun 21 16:30:43 2004
@@ -498,7 +498,7 @@ void show_mem(void)
 
 	printk("Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 	for_each_pgdat(pgdat) {
 		printk("Node ID: %d\n", pgdat->node_id);
 		for(i = 0; i < pgdat->node_spanned_pages; i++) {
diff -puN arch/m68k/atari/stram.c~nr_swap_pages-is-long-fixes arch/m68k/atari/stram.c
--- 25/arch/m68k/atari/stram.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/m68k/atari/stram.c	Mon Jun 21 16:30:43 2004
@@ -743,7 +743,7 @@ static int unswap_by_read(unsigned short
 
 		if (map[i]) {
 			entry = swp_entry(stram_swap_type, i);
-			DPRINTK("unswap: map[i=%lu]=%u nr_swap=%u\n",
+			DPRINTK("unswap: map[i=%lu]=%u nr_swap=%ld\n",
 				i, map[i], nr_swap_pages);
 
 			swap_device_lock(stram_swap_info);
@@ -772,7 +772,7 @@ static int unswap_by_read(unsigned short
 	#endif
 		}
 
-		DPRINTK( "unswap: map[i=%lu]=%u nr_swap=%u\n",
+		DPRINTK( "unswap: map[i=%lu]=%u nr_swap=%ld\n",
 				 i, map[i], nr_swap_pages );
 		swap_list_lock();
 		swap_device_lock(stram_swap_info);
diff -puN arch/m68k/mm/init.c~nr_swap_pages-is-long-fixes arch/m68k/mm/init.c
--- 25/arch/m68k/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/m68k/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -47,7 +47,7 @@ void show_mem(void)
 
     printk("\nMem-info:\n");
     show_free_areas();
-    printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+    printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
     i = max_mapnr;
     while (i-- > 0) {
 	total++;
diff -puN arch/mips/mm/pgtable.c~nr_swap_pages-is-long-fixes arch/mips/mm/pgtable.c
--- 25/arch/mips/mm/pgtable.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/mips/mm/pgtable.c	Mon Jun 21 16:30:43 2004
@@ -12,7 +12,7 @@ void show_mem(void)
 
 	printk("Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 	pfn = max_mapnr;
 	while (pfn-- > 0) {
 		page = pfn_to_page(pfn);
diff -puN arch/parisc/mm/init.c~nr_swap_pages-is-long-fixes arch/parisc/mm/init.c
--- 25/arch/parisc/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/parisc/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -484,7 +484,8 @@ void show_mem(void)
 
 	printk(KERN_INFO "Mem-info:\n");
 	show_free_areas();
-	printk(KERN_INFO "Free swap:	 %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk(KERN_INFO "Free swap:	 %6ldkB\n",
+				nr_swap_pages<<(PAGE_SHIFT-10));
 	i = max_mapnr;
 	while (i-- > 0) {
 		total++;
diff -puN arch/ppc/mm/init.c~nr_swap_pages-is-long-fixes arch/ppc/mm/init.c
--- 25/arch/ppc/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/ppc/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -118,7 +118,7 @@ void show_mem(void)
 
 	printk("Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 	i = max_mapnr;
 	while (i-- > 0) {
 		total++;
diff -puN arch/s390/mm/init.c~nr_swap_pages-is-long-fixes arch/s390/mm/init.c
--- 25/arch/s390/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/s390/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -60,7 +60,7 @@ void show_mem(void)
 
         printk("Mem-info:\n");
         show_free_areas();
-        printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+        printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
         i = max_mapnr;
         while (i-- > 0) {
                 total++;
diff -puN arch/sh/mm/init.c~nr_swap_pages-is-long-fixes arch/sh/mm/init.c
--- 25/arch/sh/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/sh/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -66,7 +66,7 @@ void show_mem(void)
 
 	printk("Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 	i = max_mapnr;
 	while (i-- > 0) {
 		total++;
diff -puN arch/sparc64/mm/init.c~nr_swap_pages-is-long-fixes arch/sparc64/mm/init.c
--- 25/arch/sparc64/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/sparc64/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -348,7 +348,7 @@ void show_mem(void)
 {
 	printk("Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",
+	printk("Free swap:       %6ldkB\n",
 	       nr_swap_pages << (PAGE_SHIFT-10));
 	printk("%ld pages of RAM\n", num_physpages);
 	printk("%d free pages\n", nr_free_pages());
diff -puN arch/sparc/mm/init.c~nr_swap_pages-is-long-fixes arch/sparc/mm/init.c
--- 25/arch/sparc/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/sparc/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -76,7 +76,7 @@ void show_mem(void)
 {
 	printk("Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",
+	printk("Free swap:       %6ldkB\n",
 	       nr_swap_pages << (PAGE_SHIFT-10));
 	printk("%ld pages of RAM\n", totalram_pages);
 	printk("%d free pages\n", nr_free_pages());
diff -puN arch/um/kernel/mem.c~nr_swap_pages-is-long-fixes arch/um/kernel/mem.c
--- 25/arch/um/kernel/mem.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/um/kernel/mem.c	Mon Jun 21 16:30:43 2004
@@ -380,7 +380,7 @@ void show_mem(void)
 
         printk("Mem-info:\n");
         show_free_areas();
-        printk("Free swap:       %6dkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
+        printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
         pfn = max_mapnr;
         while(pfn-- > 0) {
 		page = pfn_to_page(pfn);
diff -puN arch/x86_64/mm/init.c~nr_swap_pages-is-long-fixes arch/x86_64/mm/init.c
--- 25/arch/x86_64/mm/init.c~nr_swap_pages-is-long-fixes	Mon Jun 21 16:30:43 2004
+++ 25-akpm/arch/x86_64/mm/init.c	Mon Jun 21 16:30:43 2004
@@ -60,7 +60,7 @@ void show_mem(void)
 
 	printk("Mem-info:\n");
 	show_free_areas();
-	printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+	printk("Free swap:       %6ldkB\n", nr_swap_pages<<(PAGE_SHIFT-10));
 
 	for_each_pgdat(pgdat) {
                for (i = 0; i < pgdat->node_spanned_pages; ++i) {
_
